## cauchy 0.9.0

=== Cauchy/CMakeLists.txt ===
add_definitions( -DCOUMPONENT_NAME="Cauchy" )
add_definitions( -D_CAUCHY_INCLUDE_DIR_="${INCLUDE_INSTALL_DIR}" )


set(Cauchy_SRCS
  CompilationMessage.cpp
  CompilationMessages.cpp
  Options.cpp
  String.cpp
  Source.cpp
  Version.cpp
# Internal
  Atomic.cpp
  Debug.cpp
  DeclarationsGenerator.cpp
  DeclarationsRegistry.cpp
  FunctionDeclaration.cpp
  Lexer.cpp
  Parser.cpp
  SharedPointer.cpp
  Token_p.cpp
  Type.cpp
  Variable.cpp
  VariablesManager.cpp
  VariableDeclaration.cpp
# AST
  AST/Annotation.cpp
  AST/BinaryExpression.cpp
  AST/Expression.cpp
  AST/ExpressionResult.cpp
  AST/FunctionDefinition.cpp
  AST/GenerationVisitor.cpp
  AST/Node.cpp
  AST/Statement.cpp
  AST/Tree.cpp
  AST/UnaryExpression.cpp
# CFD
  cfd/Token.cpp
  cfd/Parser.cpp
  cfd/Lexer.cpp
# EigenBackend
  EigenBackend/DeclarationsGenerator.cpp
  EigenBackend/ExpressionResult.cpp
  EigenBackend/GenerationVisitor.cpp
  EigenBackend/GeneratorPrivateBase.cpp
# MathMLBackend
  MathMLBackend/ExpressionResult.cpp
  MathMLBackend/GenerationVisitor.cpp
)

add_library(Cauchy SHARED ${Cauchy_SRCS} )
set_target_properties(Cauchy PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

install(TARGETS Cauchy ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== CauchyTest/CMakeLists.txt ===
add_subdirectory(tests)

## CauchyTest library ##

set(CauchyTest_SRCS
  Suite.cpp
  Case.cpp
  Result.cpp )

add_library(CauchyTest SHARED ${CauchyTest_SRCS} )
target_link_libraries(CauchyTest )

# Set the ABI version of the library
set_target_properties(CauchyTest PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

=== Runtime/CMakeLists.txt ===
add_subdirectory(Cauchy)

=== tests/CMakeLists.txt ===


include_directories(${CMAKE_SOURCE_DIR}/Runtime ${CMAKE_BINARY_DIR}/Runtime)

macro(generate_m_test name)
  add_custom_command(
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${name}.m cauchymc
      COMMAND ${CAUCHYMC}
      ARGS -I ${CMAKE_SOURCE_DIR}/Runtime -I ${CMAKE_CURRENT_SOURCE_DIR} -i tests.cfd -o ${CMAKE_CURRENT_BINARY_DIR}/${name}.cpp ${CMAKE_CURRENT_SOURCE_DIR}/${name}.m
      OUTPUT ${name}.cpp )
endmacro()

macro(build_m_test name)
  generate_m_test(${name})
  add_executable(test_${name} ${name}.cpp main.cpp)
endmacro()

macro(add_m_test name)
  generate_m_test(${name})
  add_executable(test_${name} ${name}.cpp)
  target_link_libraries(test_${name} CauchyXUnit)
  add_test(test_${name} test_${name})
endmacro()

add_m_test(access)
add_m_test(add)
add_m_test(add_dot)
add_m_test(add_integers)
add_m_test(comment)
add_m_test(complex)
add_m_test(creation_coma_simple)
add_m_test(creation_integers)
add_m_test(creation_space_simple)
add_m_test(div_dot)
add_m_test(exponent)
add_m_test(for)
add_m_test(if)
add_m_test(ifelse)
add_m_test(ifelseif)
add_m_test(ifelseifelse)
add_m_test(linecomment)
add_m_test(mul)
add_m_test(mul_dot)
add_m_test(neg_mat)
add_m_test(overrideconstant)
add_m_test(overrideconstantloop)
add_m_test(unkwnow)
add_m_test(add_integer_to_mat)
add_m_test(range)
add_m_test(singlelineif)
add_m_test(setvalue)
add_m_test(expressions)
add_m_test(hello_world)
add_m_test(system)
add_m_test(multilines)
add_m_test(parenthesis)
add_m_test(transpose)
add_m_test(while)
add_m_test(whilebreak)

# Call
add_m_test(call_clc)
add_m_test(call_cond)
add_m_test(call_diag)
add_m_test(call_disp)
add_m_test(call_eig)
add_m_test(call_eye)
add_m_test(call_feval)
add_m_test(call_fft)
add_m_test(call_function_return_two)
add_m_test(call_function_two_arguments)
add_m_test(call_lu)
add_m_test(call_norm)
add_m_test(call_rand)
add_m_test(call_sort)
add_m_test(call_svd)

# build_m_test(add_unknown)
add_m_test(global)
add_m_test(function_simple)
add_m_test(function_one_argument)
add_m_test(function_two_arguments)
add_m_test(function_return_one)
add_m_test(function_return_two)
# add_m_test(obench)

=== tools/CMakeLists.txt ===
add_subdirectory(cauchymc)
add_subdirectory(cauchymake)
add_subdirectory(cauchydeclgen)
add_subdirectory(m2mml)

=== Runtime/Cauchy/CMakeLists.txt ===

include (TestBigEndian)
test_big_endian(CMAKE_WORDS_BIGENDIAN)
configure_file(Config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Config.h )

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/Config.h
  Eigen3.cfd
  Eigen3.h
  Standard.cfd
  Octave.cfd
  xUnit.cfd
  DESTINATION ${INCLUDE_INSTALL_DIR}/Cauchy/ )

add_subdirectory(Eigen3)
add_subdirectory(xUnit)

=== tools/cauchydeclgen/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} )

set(cauchydeclgen_SRCS
  cauchydeclgen.cpp
    )

add_executable(cauchydeclgen ${cauchydeclgen_SRCS})
target_link_libraries(cauchydeclgen Cauchy )
install( TARGETS cauchydeclgen ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== tools/m2mml/CMakeLists.txt ===

add_library(m2mml SHARED m2mml.cpp )
target_link_libraries(m2mml Cauchy)
set_target_properties(m2mml PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

install(TARGETS m2mml ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES m2mml.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(CAUCHY_BUILD_TESTS)
  add_executable(Testm2mmlTest m2mmlTest.cpp)
  target_link_libraries(Testm2mmlTest m2mml CauchyTest )
  add_test(Testm2mmlTest Testm2mmlTest)
endif()

=== Runtime/Cauchy/Eigen3/CMakeLists.txt ===
if(CAUCHY_BUILD_TESTS)
  add_subdirectory(tests)
endif()

install( FILES
  Complex.h
  ComplexOperators.h
  Cond.h
  Display.h
  Eig.h
  FEval.h
  FFT.h
  Infinity.h
  Inv.h
  LU.h
  Math.h
  Matrix.h
  MatrixIterator.h
  MatrixOperators.h
  Norm.h
  NumberTypes.h
  Octave.h
  Quad.h
  Range.h
  RangeIterator.h
  Sort.h
  SVD.h
  System.h
  Time.h
  Unknown.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/Cauchy/Eigen3 )

=== Runtime/Cauchy/xUnit/CMakeLists.txt ===
set( CauchyXUnit_SRCS
  Asserts.cpp
  Reporter.cpp
)

add_library(CauchyXUnit SHARED ${CauchyXUnit_SRCS} )
set_target_properties(CauchyXUnit PROPERTIES VERSION ${CAUCHY_LIB_VERSION} SOVERSION ${CAUCHY_LIB_SOVERSION} )

install(TARGETS CauchyXUnit ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
cauchy (0.9.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 11:04:32 -0400

cauchy (0.9.0-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:03 +0100

cauchy (0.9.0-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:18 +0000

cauchy (0.9.0-0ubuntu2) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 05:58:09 +0000

cauchy (0.9.0-0ubuntu1) trusty; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Nov 2013 19:40:57 +0000

=== debian/control ===
Source: cauchy
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>, Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libeigen3-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://bitbucket.org/cyrille/cauchy

Package: cauchy-dev
Section: libdevel
Architecture: any
Depends: libcauchy0.0v5 (= ${binary:Version}), libcauchyxunit0.0v5 (= ${binary:Version}), 
         libm2mml0.0v5 (= ${binary:Version}), ${misc:Depends}
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Development files.

Package: libcauchy0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcauchy0.0
Replaces: libcauchy0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.

Package: libcauchyxunit0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcauchyxunit0.0
Replaces: libcauchyxunit0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Support library for the xUnit Test Framework

Package: libm2mml0.0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libm2mml0.0
Replaces: libm2mml0.0
Description: library for transforming Matlab/Octave files to C++
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 m2mml library.

Package: cauchy-tools
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
Description: library for transforming Matlab/Octave files to C++ - toold
 library for transforming Matlab/Octave files to C++ (with Eigen) and
 Matlab.
 .
 Tools that use Cauchy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym
